import request from '@/utils/request'

// 查询cmc保证金审批列表
export function listDeposit(query) {
  return request({
    url: '/oa/deposit/list',
    method: 'get',
    params: query
  })
}

// 查询cmc保证金审批详细
export function getDeposit(depositId) {
  return request({
    url: '/oa/deposit/' + depositId,
    method: 'get'
  })
}

// 新增cmc保证金审批
export function addDeposit(data) {
  return request({
    url: '/oa/deposit',
    method: 'post',
    data: data
  })
}

// 修改cmc保证金审批
export function updateDeposit(data) {
  return request({
    url: '/oa/deposit',
    method: 'put',
    data: data
  })
}

// 删除cmc保证金审批
export function delDeposit(depositId) {
  return request({
    url: '/oa/deposit/' + depositId,
    method: 'delete'
  })
}
